[package]
name = "lightningstor-api"
version.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true
description = "gRPC and HTTP API definitions for LightningStor"

[dependencies]
lightningstor-types = { workspace = true }
tonic = { workspace = true }
prost = { workspace = true }
prost-types = { workspace = true }

[build-dependencies]
tonic-build = { workspace = true }
protoc-bin-vendored = "3.2"

[lints]
workspace = true
